Package org.apache.lucene.util.bkd

# Interface PointReader

All Superinterfaces:
  `AutoCloseable`, `Closeable`

All Known Implementing Classes:
  `HeapPointReader`, `OfflinePointReader`

public interface PointReader extends Closeable
One pass iterator through all points previously written with a `PointWriter`, abstracting away whether points are read from (offline) disk or simple arrays in heap.

NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `next()`
  Returns false once iteration is done, else true.
  `PointValue`
  `pointValue()`
  Sets the packed value in the provided ByteRef

  ### Methods inherited from interface java.io.Closeable

  `close`

- ## Method Details

  - ### next

    boolean next() throws IOException
    Returns false once iteration is done, else true.
    Throws:
      `IOException`

  - ### pointValue

    PointValue pointValue()
    Sets the packed value in the provided ByteRef